<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Termine\TerminHinzufuegen;

class TerminHinzufuegenAbsendenController extends \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\TerminHinzufuegen\TerminHinzufuegenAbsendenController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new TerminHinzufuegenAbsendenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    return new TerminHinzufuegenNachAbsendenController($pUseCaseResponse->knr, $pUseCaseResponse->kurstag->id, $pUseCaseResponse->statusCode);
  }

  protected function getToolSectionId()
  {
    return TerminHinzufuegenAbsendenUseCase::getToolSectionId();
  }
}